<template>
	<div class="article-tabs-container">
		<h5 class="title">surrounding</h5>
		<div class="article-tabs-container__buttons">
			<h3 :class="{'active' : currentTab==1}" @click="currentTab=1">local tips</h3>
			<h3 :class="{'active' : currentTab==2}" @click="currentTab=2">bars & nightlife</h3>
			<h3 :class="{'active' : currentTab==3}" @click="currentTab=3">restaurants</h3>
		</div>
		<div class="article-tabs-container__content">
			<article-card v-show="currentTab==1" :article="article1"></article-card>
			<article-card v-show="currentTab==2" :article="article2"></article-card>
			<article-card v-show="currentTab==3" :article="article3"></article-card>
		</div>
	</div>
</template>

<script>
import articleCard from './article-card'
export default {
	name: 'articleTabs',
	components:{
		articleCard
	},
	data(){
		return{
			article1 :{
        description: 'Beginner, Intermidiate, Advanced out messenger bag, mollit skateboard do seitan lomo pour-over.…',
        title : 'Surfunterricht',
        thumbnail: 'https://media1.rrl360.com/product/0001/01/thumb_228_default.jpg@!p_m_h_300.jpg'
			},
			article2 :{
        description: 'Beginner, Intermidiate, Advanced out messenger bag, keffiyeh lyft master cleanse next level banjo biodiesel kogi chillwave vexillologist street art, Proident gastropub mollit skateboard do seitan lomo pour-over.…',
        title : 'Surfunterricht',
        thumbnail: 'http://go-montreal.com/images/nightlife/montreal-nightlife-2-lg.jpg'
			},
			article3 :{
        description: 'Beginner, Intermidiate, Advanced out messenger bag, keffiyeh lyft street art, Proident gastropub mollit skateboard do seitan lomo pour-over.…',
        title : 'Surfunterricht',
        thumbnail: 'http://www.in-amazon.com/images/img2.jpg'
			},
			currentTab: 1
		}
	}
}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00A290;
$secondary : #FFA17A;

	.article-tabs-container{
	  max-width: 959px;
		margin: auto;
		margin-top: 30px;

		h5.title{
			color: #48443E;
			font-family: "Brandon Grotesque";
			font-size: 12px;
			font-weight: 900;
			text-transform: uppercase;
			margin: 0;

			@media(max-width: 1010px){
				padding-left: 20px;
			}
		}

		&__buttons{
			display: flex;
			border-bottom: 1px solid #ECECEB;
			margin-bottom: 30px;
			max-width: 500px;
			overflow-x: auto;


			@media(max-width: 1010px){
				padding-left: 20px;
			}

			h3{
				text-transform: capitalize;
				font-size: 20px;
				color: #AEACAA;
				padding: 15px 0;
				font-family: roboto;
				font-weight: normal;
				flex-shrink: 0;
				cursor: pointer;
				margin: 0;
				margin-right: 48px;
				&.active{
					color: #48443E;
					border-bottom: 2px solid $primary;
				}
			}
		}	
	}


	/* width */
	::-webkit-scrollbar {
			display: none;
	}

</style>
